%% Loading MM-files

load MM.mat


% FINNER INDEX

% 6 uker
from = '08-Mar-1990 04:00:00'; % [dd-mm-yyyy hh:00:00] ex: '08-Mar-1990 04:00:00' (I: 1589) PS: (00->23h)
to   = '22-Apr-1990 07:00:00'; % [dd-mm-yyyy hh:00:00]

% 2 r
% from = '08-Mar-1990 04:00:00'; % [dd-mm-yyyy hh:00:00] ex: '08-Mar-1990 04:00:00' (I: 1589) PS: (00->23h)
% to   = '08-Mar-1992 07:00:00'; % [dd-mm-yyyy hh:00:00]


% finding the index row for the specific to and from dates 
% LIK FOR ALLE!
IndexFrom = find(contains(MM,from));
IndexTo   = find(contains(MM,to));
rowF = IndexFrom;
rowT = IndexTo;


% GJR OM TIL POLARE KOORDINATER
[preTh,preRho] = cart2pol( str2double( MM(rowF:rowT,2:2:end) ),str2double( MM(rowF:rowT,3:2:end) ) );

% FOR NORMAL ANALYSIS
X_depthSH = preRho;
X_depthDH = preTh;



% % UN-NORMALIZE (AND UN-SCALE) THE DATA... (before comparing..)
% 
% load strdDevC.mat
% load strdDevW.mat
% 
% % strength ganges med standard deviation
% strdDevCcart = repelem(strdDevC,1,2);
% strdDevWcart = repelem(strdDevW,1,2);
% 
% strdDevcart = [ strdDevWcart strdDevCcart ];
% strdDevpol  = [ strdDevW strdDevC ];
% 
% preRho1 = preRho.*strdDevpol;
% preRho = preRho1;

% PCA 

[coeffSH,scoreSH,latentSH,tsquaredSH,explainedSH,muSH] = pca(X_depthSH);
%[coeffDH,scoreDH,latentDH,tsquaredDH,explainedDH,muDH] = pca(X_depthDH);

set(0,'defaultTextFontSize',14)
set(0,'defaultAxesFontSize',14)
set(0,'DefaultLineLineWidth',1.5);
set(0,'DefaultAxesXGrid','on','DefaultAxesYGrid','on');
set(0,'DefaultLineMarkerSize',8);

% USING STRENGTH
figure
biplot(coeffSH(:,1:3),'scores',scoreSH(:,1:3),'varlabels',{'wind','0m',...
    '10m','20m','30m','40m','50m','60m','70m','80m','90m','100m','125m',...
    '150m','175m','200m','250m','300m'});
xlabel('PC1');
ylabel('PC2');
zlabel('PC3');
title('3D biplot of variable eigenvectors and principal component scores')

figure
plot(explainedSH)
xlabel('number of components included')
ylabel('% variance explained')
grid on

%%
% USING DIRECTION

% figure
% biplot(coeffDH(:,1:3),'scores',scoreDH(:,1:3),'varlabels',{'wind','0m',...
%     '10m','20m','30m','40m','50m','60m','70m','80m','90m','100m','125m',...
%     '150m','175m','200m','250m','300m'});
% xlabel('PC1');
% ylabel('PC2');
% zlabel('PC3');
% 
% figure
% plot(explainedDH)
% xlabel('number of components included')
% ylabel('%')
% title('Variance explained in each PC out of total variance')
% xticks([0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15])
% grid on

%%
% RECONSTRUCTION




